#ifndef _UDM_DBMS_H
#define _UDM_DBMS_H

/* Database type */
#define UDM_DB_UNK		0
#define UDM_DB_MSQL		1
#define UDM_DB_MYSQL		2
#define UDM_DB_PGSQL		3
#define UDM_DB_SOLID		4
#define UDM_DB_ORACLE		5
#define UDM_DB_VIRT		6
#define UDM_DB_IBASE		7
#define UDM_DB_ORACLE8		8
#define UDM_DB_FILES		100

extern char DBVersion[];
extern char *DBHost;
extern char *DBName;
extern char *DBUser;
extern char *DBPass;
extern int  DBPort;
extern int  DBType;
extern int  DBMode;
extern int  DBUseLock;

extern int AddURL(UDM_INDEXER* Indexer,char *url,int referrer,int hops);
extern int DeleteWordFromURL(UDM_INDEXER* Indexer,int url_id);
extern int DeleteUrl(UDM_INDEXER* Indexer,int url_id);
extern int UpdateUrl(UDM_INDEXER* Indexer,int url_id,int status,int period);
extern char * escstr(char *x,char *y);

extern int LongUpdateUrl(UDM_INDEXER* Indexer,
	int url_id,int status,int is_changed,
	int size,int period,int hint,int index,
	char *last_modified_escaped,
	char *text_escaped,
	char *title_escaped,
	char *content_type,
	char *keywords_escaped,
	char *descript_escaped,
	char *digest,
	char *lang);

extern int StoreWords(UDM_INDEXER * Indexer, int url_id);

extern int FindOrigin(UDM_INDEXER* Indexer,char *crc);
extern int UpdateClone(UDM_INDEXER* Indexer,int url_id,int status,int period,
	char *content_type,char *last_modified_escaped,char *digest);

extern int DeleteAllFromDict(UDM_INDEXER* Indexer);
extern int DeleteAllFromUrl(UDM_INDEXER* Indexer);
extern int DeleteRobotsFromHost(UDM_INDEXER* Indexer,char *hostinfo);
extern int AddRobotsToHost(UDM_INDEXER* Indexer,char *hostinfo,char *s);

extern UDM_STAT * GetStatistics();
extern UDM_DOCUMENT * Find(void * db,char *q,int np,int ps, int mode,int sort_order,char *wordinfo,int *found);
extern UDM_DOCUMENT * CloneList(void * db,char *crc);
extern UDM_DOCUMENT * GetDocInfo(UDM_INDEXER* Indexer,int expired_first);
extern UDM_STOPWORD * IsStopWord(char *word);
extern char * DBErrorMsg(void *db);
extern int DBErrorCode(void *db);

extern void * AllocDB(int mode);
extern void FreeDB(void * db);
extern int load_stop_list(void * db);
extern int LoadRobots(UDM_INDEXER *Indexer);
extern int MarkForReindex(UDM_INDEXER* Indexer);
extern int ClearDB(UDM_INDEXER* Indexer);

extern __INDLIB__ int AddTagLimit(int tag);
extern __INDLIB__ int AddStatusLimit(int status);
extern __INDLIB__ int AddURLLimit(char *URL);
extern __INDLIB__ int ClearURLLimit();
extern __INDLIB__ int ClearLimits();
extern __INDLIB__ int ShowReferers(UDM_INDEXER* Indexer);


#ifdef USE_HTDB
int HTDBGet(UDM_INDEXER * Indexer,char *path,char *filename,char * htdb_list, char * htdb_doc,
		char *buf,int MaxDocSize);
#endif


#endif
